package point

import (
	"github.com/google/wire"
	"github.guxuan/haibei/internal/mods/point/api"
	"github.guxuan/haibei/internal/mods/point/biz"
	"github.guxuan/haibei/internal/mods/point/dal"
)

var Set = wire.NewSet(
	wire.Struct(new(Point), "*"),
	wire.Struct(new(dal.Point), "*"),
	wire.Struct(new(biz.Point), "*"),
	wire.Struct(new(api.Point), "*"),
	wire.Struct(new(dal.Grade), "*"),
	wire.Struct(new(biz.Grade), "*"),
	wire.Struct(new(api.Grade), "*"),
)
